$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $(".tbody").on("keyup", ".qty", calDetail);
    $(".tbody").on("focus", ".qty", autoadd);
    $("body").on(" blur change", ".vouchdt", getvoucher);
//    $("body").on("keyup", ".ssearch", getSearchData);
//    $("body").on("click", ".sload", getSearchData);
    $("body").on("change", ".item", getStk);
    $("body").on("blur change ", ".godown", god1);
    
//    $("#hprint").hide();

    function god1() {
        var god = $(".godown").val();
                
        if (god == " ") {
            alert ('Godown  Cannot be empty');
        } 

    }
    function getStk() {
        var tr = $(this).closest("tr"),
                item = tr.find(".item").val(),
                data = {item: item};
        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "getUnit.php",
            data: data,
            success: function (response) {
                tr.find(".unit").val(response.unit);
                tr.find(".hsncode").val(response.hsncode);
                tr.find(".cost").val(response.cost);
            }
        });
    }
    function getvoucher() {
        var date = new Date($(".vouchdt").val()),
                month = (date.getMonth() + 1).toString(),
                vouchno = $('.vouchno').val(),
                voucher = '0' + month + vouchno;

        $('.monno').val(month);
        $('.voucher').val(voucher);

    }

    function autoadd() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    function calDetail() {
        var totqty = 0;
        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value != 0) {
                totqty += parseFloat(this.value);
            }
            $(".totqty").val(totqty);
        });

    }

    function remove() {
        $(this).closest("tr").remove();
    }

    $("#addnew").click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;
        $.post('outward_mi_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
    }

    //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
//    $(".snoRecord").hide();
//
//    $(".searchModal").on('shown.bs.modal', function () {
//        $(".ssearch").focus();
//        $(".ssearch").val("");
//        $(".sfield").val("1");
//        getSearchData();
//    });
//
//    var smrangeFrom = 0,
//            smrangeTo = 40;
//
//    function getSearchData(pagination) {
//
//        $(".sloader").show();
//
//        if (pagination == 'prev') {
//            if (smrangeFrom > 0) {
//                smrangeFrom = (smrangeFrom - 40);
//                smrangeTo = (smrangeTo - 40);
//            }
//        }
//        if (pagination == 'next') {
//            smrangeFrom = (smrangeFrom + 40);
//            smrangeTo = (smrangeTo + 40);
//        }
//
//        var series = $(".series").val(),
//                para = $(".para").val(),
//                ssearch = $(".ssearch").val(),
//                sfield = $(".sfield").val(),
//                ioperator = $(".soperator").val(),
//                data = {ssearch: ssearch, sfield: sfield, ioperator: ioperator, para: para,
//                    series: series, rangeFrom: smrangeFrom, rangeTo: smrangeTo},
//                values = "";
//        $.ajax({
//            type: 'GET',
//            dataType: 'json',
//            url: "dam_search.php",
//            data: data,
//            success: function (response) {
//                $.each(response, function () {
//                    values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
//                            "<td align='left'>" + this.vouchno + "</td>" +
//                            "<td align='left'>" + this.vouchdt + "</td>" +
//                            "<td align='left'>" + this.totqty + "</td>" +
//                            "<td align='left'>" + this.rem1 + "</td>" +
//                            "<td align='left'>" + this.action + "</td>" +
//                            "</tr>";
//                });
//                $(".sloader").hide();
//                $(".sTbody").empty();
//                $(".sTbody").html(values);
//                if (response) {
//                    $(".search-action-bar").show();
//                }
//            },
//            error: function (request, textStatus, errorThrown) {
//
//            }
//        });
//    }
//    $("#search").click(function () {
//        getSearchData();
//    });
//    $(".sprevious").click(function () {
//        getSearchData('prev');
//    });
//    $(".snext").click(function () {
//        getSearchData('next');
//    });


    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////

});